jQuery(document).ready(function($) {

	jQuery("#select_wptc_backup_slots").on('change', function(){
		var value = jQuery(this).val();
		if (value === 'daily') {
			jQuery('#select_wptc_default_schedule').show();
		} else {
			jQuery('#select_wptc_default_schedule').hide();
		}
	});

	if(jQuery("#select_wptc_backup_slots").val() === 'daily'){
		jQuery('#select_wptc_default_schedule').show();
	}

	jQuery("#wptc_save_changes").on("click", function() {
		if (jQuery(this).hasClass('disabled')) {
			return false;
		}
		jQuery('#calculating_file_db_size_temp, #show_final_size').toggle();
		jQuery(this).addClass('disabled').attr('disabled', 'disabled').val('Saving new changes...').html('Saving...');
		save_settings_wptc();
		return false;
	});

});

function enable_settings_button_wptc(){
	jQuery("#wptc_save_changes").removeAttr('disabled').removeClass('disabled').val("Save Changes").html("Save");
	jQuery('#exc_files_db_canc').css('color','#0073aa').unbind('click', false);
}

function save_settings_wptc(){
	var hash = window.location.hash;
	switch(hash){
		case '':
		case '#wp-time-capsule-tab-general':
		save_general_settings_wptc();
		break;
		case '#wp-time-capsule-tab-backup':
		save_backup_settings_wptc();
		break;
		case '#wp-time-capsule-tab-bbu':
		save_bbu_settings_wptc();
		break;
		case '#wp-time-capsule-tab-vulns':
		save_vulns_settings_wptc();
		break;
		case '#wp-time-capsule-tab-staging':
		save_staging_settings_wptc();
		break;
		default:
		jQuery("#wptc_save_changes").removeAttr('disabled').removeClass('disabled').val("Hash does not match !").html("Hash does not match !");
		enable_settings_button_wptc();
	}
}

function save_general_settings_wptc(){
	var anonymouse = jQuery('input[name=anonymous_datasent]:checked').val();
	save_settings_ajax_request_wptc('save_general_settings_wptc', {'anonymouse' : anonymouse});
}

function save_settings_ajax_request_wptc(action, data){
	jQuery.post(ajaxurl, {
			security: wptc_ajax_object.ajax_nonce,
			action: action,
			data : data,
	}, function(data) {
		var data = jQuery.parseJSON(data);

		if (data == undefined) {
			wptc_sweet_alert('Oops...', 'Update setting failed, Please try again!', 'error');
		} else 	if (data.notice == undefined) {
			wptc_sweet_alert('Success', 'Settings updated successfully!', 'success');
		} else {
			swal({
				title: data.notice.title,
				html: data.notice.message,
				type: data.notice.type,
				confirmButtonText: "I understood",
				}).then(function () {
					wptc_sweet_alert('Success', 'Settings updated successfully!', 'success');
				}
			);
		}

		enable_settings_button_wptc();
	});
}

function save_backup_settings_wptc(){
	var backup_slot = '';
	if (jQuery("#select_wptc_backup_slots").hasClass('disabled') === false) {
		var backup_slot  = jQuery("#select_wptc_backup_slots").val();
	}

	var scheduled_time = '';
	if (jQuery("#select_wptc_default_schedule").hasClass('disabled') === false) {
		var scheduled_time  = jQuery("#select_wptc_default_schedule").val();
	}

	var timezone = '';
	if (jQuery("#wptc_timezone").hasClass('disabled') === false) {
		var timezone  = jQuery("#wptc_timezone").val();
	}

	var revision_limit = '';
	if (jQuery("#wptc_settings_revision_limit").hasClass('disabled') === false) {
		var revision_limit  = jQuery("#wptc_settings_revision_limit").val();
	}

	var user_excluded_extenstions  = jQuery("#user_excluded_extenstions").val();

	if (scheduled_time && timezone) {
			var request_params = {
				"backup_slot" : backup_slot,
				"scheduled_time": scheduled_time,
				"timezone" : timezone,
				"revision_limit" : revision_limit,
				"user_excluded_extenstions" : user_excluded_extenstions
			};
	} else {
		var request_params = {
			"revision_limit" : revision_limit,
			"user_excluded_extenstions" : user_excluded_extenstions
		};
	}
	save_settings_ajax_request_wptc('save_backup_settings_wptc', request_params);
}

function save_bbu_settings_wptc(){

	var backup_before_update_setting = jQuery('input[name=backup_before_update_setting]:checked').val();
	var backup_type = jQuery('#backup_type').val();
	var auto_update_wptc_setting = jQuery('input[name=auto_update_wptc_setting]:checked').val();
	var auto_updater_core_major = jQuery('input[name=wptc_auto_core_major]:checked').val();
	var auto_updater_core_minor = jQuery('input[name=wptc_auto_core_minor]:checked').val();
	var auto_updater_plugins = jQuery('input[name=wptc_auto_plugins]:checked').val();
	var auto_updater_plugins_included = jQuery('#auto_include_plugins_wptc').val();
	var auto_updater_themes = jQuery('input[name=wptc_auto_themes]:checked').val();
	var auto_updater_themes_included = jQuery('#auto_include_themes_wptc').val();

	var request_params = {
							"backup_before_update_setting" : backup_before_update_setting,
							"auto_update_wptc_setting" : auto_update_wptc_setting,
							"auto_updater_core_major" : (auto_updater_core_major) ? auto_updater_core_major : 0,
							"auto_updater_core_minor" : (auto_updater_core_minor) ? auto_updater_core_minor : 0,
							"auto_updater_plugins" : (auto_updater_plugins) ? auto_updater_plugins : 0,
							"auto_updater_plugins_included" : (auto_updater_plugins_included) ? auto_updater_plugins_included : '',
							"auto_updater_themes" : (auto_updater_themes) ? auto_updater_themes : 0,
							"auto_updater_themes_included" : (auto_updater_themes_included) ? auto_updater_themes_included : '',
						}
	save_settings_ajax_request_wptc('save_bbu_settings_wptc', request_params);
}

function save_staging_settings_wptc(){
	var db_rows_clone_limit_wptc =jQuery("#db_rows_clone_limit_wptc").val();
	var files_clone_limit_wptc =jQuery("#files_clone_limit_wptc").val();
	var deep_link_replace_limit_wptc =jQuery("#deep_link_replace_limit_wptc").val();
	var disable_admin_login_wptc =jQuery('input[name=disable_admin_login_wptc]:checked').val();

	var request_params = {  "db_rows_clone_limit_wptc": db_rows_clone_limit_wptc,
							"files_clone_limit_wptc" : files_clone_limit_wptc,
							"deep_link_replace_limit_wptc" : deep_link_replace_limit_wptc,
							"disable_admin_login_wptc" : disable_admin_login_wptc
						 };
	save_settings_ajax_request_wptc('save_staging_settings_wptc', request_params);
}

function save_vulns_settings_wptc(){
	var enable_vulns_email_wptc = jQuery('input[name=enable_vulns_email_wptc]:checked').val();
	var vulns_wptc_setting = jQuery('input[name=vulns_wptc_setting]:checked').val();
	var wptc_vulns_core = jQuery('input[name=wptc_vulns_core]:checked').val();
	var wptc_vulns_plugins = jQuery('input[name=wptc_vulns_plugins]:checked').val();
	var wptc_vulns_themes = jQuery('input[name=wptc_vulns_themes]:checked').val();
	var vulns_include_themes_wptc = jQuery('#vulns_include_themes_wptc').val();
	var vulns_include_plugins_wptc = jQuery('#vulns_include_plugins_wptc').val();

	var request_params = {
		"enable_vulns_email_wptc": enable_vulns_email_wptc,
		"vulns_wptc_setting": vulns_wptc_setting,
		"wptc_vulns_core": wptc_vulns_core,
		"wptc_vulns_plugins": wptc_vulns_plugins,
		"wptc_vulns_themes": wptc_vulns_themes,
		"vulns_themes_included": vulns_include_themes_wptc,
		"vulns_plugins_included": vulns_include_plugins_wptc,
	};

	save_settings_ajax_request_wptc('save_vulns_settings_wptc', request_params);
}

function wptc_sweet_alert(title, text, type){
	swal({
		title: title,
		html: text,
		type: type,
	});
}